> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/utils/closepricetrigger.md).

# ClosePriceTrigger

### Description

Trigger contract that verifies if the current price of token is outside of given range

> **Notes**
>
> Checks chainlink oracle for current price and triggers if it's outside lower-upper price range

### Trigger ID

`0x460375de`

### SDK Action

```ts
const closePriceTrigger = new dfs.triggers.ClosePriceTrigger(
    token,
    lowerPrice,
    upperPrice
);
```

### Subscription Parameters

```solidity
/// @param tokenAddr address of the token
/// @param lowerPrice lower price of the token
/// @param upperPrice upper price of the token
struct SubParams {
    address tokenAddr;
    uint256 lowerPrice;
    uint256 upperPrice;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/triggers/utils/closepricetrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
